import ApplicationComponent from "../ApplicationComponent";
import {Express} from "express";
import Mail from "../Mail";

export default class MailComponent extends ApplicationComponent<void> {
    public async start(app: Express): Promise<void> {
        await this.prepare('Mail connection', () => Mail.prepare());
    }

    public async stop(): Promise<void> {
        Mail.end();
    }

}