import User from "./models/User";

export default interface AuthProof {
    isValid(): Promise<boolean>;

    isAuthorized(): Promise<boolean>;

    isOwnedBy(userId: number): Promise<boolean>;

    getUser(): Promise<User | null>;

    getEmail(): Promise<string>;

    revoke(session: Express.Session): Promise<void>;
}